summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorChih-Hsuan Yen2019-05-04 23:05:48 +0800
committerChih-Hsuan Yen2019-05-04 23:05:48 +0800
commitdb40b8aaaf79c9ef5db7cee8051df4e05d229dcb (patch)
tree67af20604b5a66d5b2bb5eb7847d7c7c14b4d9be /PKGBUILD
parentb3e7bb793b1c24c17a05de80dca347d8d9cb938d (diff)
downloadaur-lxqt-qtplugin-git.tar.gz
fix building
Upstream suggests libfm-qt should be a mandatory dependency instead of an optional one [1]. [1] https://github.com/lxqt/lxqt-qtplugin/pull/49
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD9
1 files changed, 3 insertions, 6 deletions
diff --git a/PKGBUILD b/PKGBUILD
index e6eef9ce060..1292e552ba5 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,17 +3,14 @@
_pkgname=lxqt-qtplugin
pkgname=$_pkgname-git
-pkgver=0.13.0.4.g7065c43
-pkgrel=2
+pkgver=0.14.0.5.g9068b5b
+pkgrel=1
pkgdesc="LXQt platform integration for Qt"
arch=("i686" "x86_64")
url="https://lxqt.org"
license=("GPL2")
-depends=("libdbusmenu-qt5" "libqtxdg-git")
+depends=("libdbusmenu-qt5" "libqtxdg-git" "libfm-qt-git")
makedepends=("git" "cmake" "qt5-tools" "lxqt-build-tools-git")
-optdepends=(
- "libfm-qt-git: for enhanced file dialog (highly recommended)"
-)
provides=("$_pkgname=$pkgver")
conflicts=("$_pkgname")
source=("git+https://github.com/lxqt/$_pkgname.git")